unit StandardUnit5;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  scControls, Vcl.Mask, MainUnit, scExtControls;

type
  TStandardFrame5 = class(TFrame)
    scLabel1: TscLabel;
    scComboBox1: TscComboBox;
    scCheckBox1: TscCheckBox;
    scCheckBox2: TscCheckBox;
    scEdit1: TscEdit;
    scLabel2: TscLabel;
    scEdit2: TscEdit;
    scEdit3: TscEdit;
    scLabel14: TscLabel;
    scPasswordEdit1: TscPasswordEdit;
    scPasswordEdit2: TscPasswordEdit;
    scMemo2: TscMemo;
    scMemo1: TscMemo;
    scCheckBox3: TscCheckBox;
    scNumericEdit1: TscNumericEdit;
    scCalcEdit1: TscCalcEdit;
    scNumericEdit2: TscNumericEdit;
    scCalcEdit2: TscCalcEdit;
    procedure scComboBox1Click(Sender: TObject);
    procedure scCheckBox1Click(Sender: TObject);
    procedure scCheckBox2Click(Sender: TObject);
    procedure scCheckBox3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TStandardFrame5.scCheckBox1Click(Sender: TObject);
begin
  if scCheckBox1.Checked then
  begin
    scedit1.BorderStyle := bsSingle;
    scedit2.BorderStyle := bsSingle;
    scedit3.BorderStyle := bsSingle;
    scCalcEdit1.BorderStyle := bsSingle;
    scCalcEdit2.BorderStyle := bsSingle;
    scNumericEdit1.BorderStyle := bsSingle;
    scNumericEdit2.BorderStyle := bsSingle;
    scMemo1.BorderStyle := bsSingle;
  end
  else
  begin
    scedit1.BorderStyle := bsNone;
    scedit2.BorderStyle := bsNone;
    scedit3.BorderStyle := bsNone;
    scMemo1.BorderStyle := bsNone;
    scCalcEdit1.BorderStyle := bsNone;
    scCalcEdit2.BorderStyle := bsNone;
    scNumericEdit1.BorderStyle := bsNone;
    scNumericEdit2.BorderStyle := bsNone;
  end;
end;

procedure TStandardFrame5.scCheckBox2Click(Sender: TObject);
begin
  scEdit1.Transparent := scCheckBox2.Checked;
  scEdit2.Transparent := scCheckBox2.Checked;
  scEdit3.Transparent := scCheckBox2.Checked;
  scMemo1.Transparent := scCheckBox2.Checked;
  scCalcEdit1.Transparent := scCheckBox2.Checked;
  scCalcEdit2.Transparent := scCheckBox2.Checked;
  scNumericEdit1.Transparent := scCheckBox2.Checked;
  scNumericEdit2.Transparent := scCheckBox2.Checked;
end;

procedure TStandardFrame5.scCheckBox3Click(Sender: TObject);
begin
  if scCheckBox3.Checked then
  begin
    scMemo1.Wallpapers := MainForm.scImageCollection1;
    scMemo1.WallpaperIndex := 1;
  end
  else
  begin
    scMemo1.Wallpapers := nil;
    scMemo1.WallpaperIndex := -1;
  end
end;

procedure TStandardFrame5.scComboBox1Click(Sender: TObject);
begin
  scEdit1.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scEdit2.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scEdit3.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scCalcEdit1.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scCalcEdit2.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scNumericEdit1.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
  scNumericEdit2.BorderKind := TscEditBorderKind(scComboBox1.ItemIndex);
end;

end.
